
import React from 'react';
import ReactDOM from 'react-dom';


const Cell = React.createClass({
    render() {
        return <div className="cell" style={{top:this.props.y, left:this.props.x}}></div>;
    },
});


const Board = React.createClass({
    render() {
        let nh = this.props.settings.height || 10,
            nw = this.props.settings.width || 10,
            ot = this.props.settings.offsetTop || 0,
            ol = this.props.settings.offsetLeft || 0,
            cells = [];
        for( let i = 0; i < nh; i++ ) {
            for( let j = 0; j < nw; j++ ) {
                let x = (((j % nw) * 10) + ol) + 'px',
                    y = ((i * 10) + ot) + 'px';
                cells.push( <Cell x={x} y={y} /> );
            }
        }

        return (
            <div>
                {cells}
            </div>
        );
    },
});




let settings = {
    offsetTop:40,
    offsetLeft:10,
    width:50,
    height:20
};

ReactDOM.render(
    <Board settings={settings} />,
    document.getElementById('board')
);



