
import Immutable from 'Immutable';
import processCell from './rules.js';


export default function process(state) {
    return state.map(function procRow(row, y) {
        return row.map(function procCells(cell, x) {
            const xb = x - 1,
                xa = x + a,
                yb = y - 1,
                ya = y + 1;
            return processCell([
                [
                    (state.get(yb).get(xb) || 0),
                    (state.get(yb).get(x) || 0),
                    (state.get(yb).get(xa) || 0)
                ],
                [
                    (state.get(y).get(xb) || 0),
                    (state.get(y).get(x) || 0),
                    (state.get(y).get(xa) || 0)
                ],
                [
                    (state.get(ya).get(xb) || 0),
                    (state.get(ya).get(x) || 0),
                    (state.get(ya).get(xa) || 0)
                ]
            ]);
        });
    });
};



